CircleCI CLI - Running circleci local execute Results in "not implemented for cgroup v2 unified hierarchy" Error

Overview

When executing the command

circleci local execute

you may get the following error if your version of Docker is using cgroups v2:

Error:
Unexpected environment preparation error: error looking up cgroup: not implemented for cgroup v2 unified hierarchy

 

Solution

Please use cgroups v1 as we do not support cgroups v2 on our current version of circleci-cli at this time. You will need to downgrade and pin the circleci-cli tool to a previous version. More detailed instructions and discussion can be found on our CircleCI-Public / circleci-cli page.

 

Additional Resources:

Was this article helpful?
0 out of 13 found this helpful

Comments

0 comments

Article is closed for comments.